package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VehicleBlackE;

import javax.validation.constraints.NotEmpty;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:26
 */
public interface VehicleBlackGateway {

    /**
     * 新增
     */
    Boolean add(VehicleBlackE vehicleBlackE);

    /**
     * 修改
     */
    Boolean update(VehicleBlackE vehicleBlackE);

    /**
     * 删除
     */
    Boolean deletedVehicleBlackById(Long id);

    Boolean deletedVehicleBlackByIds(Long[] id);

    void saveIfAbsent(String licenceNo,String vehicleType,String vehicleTypeName,String licenceType,String licenceTypeName);
    VehicleBlackE getInfoById(Long id);
}

